OpenCV: core/include/opencv2/core/softfloat.hpp File Reference

| OpenCV 3.4.2 Open Source Computer Vision

Classes | Namespaces | Macros | Functions
softfloat.hpp File Reference
`#include "cvdef.h"`

## Classes
struct | cv::softdouble
struct | cv::softfloat

## Namespaces
| cv

## Macros
#define | softfloat_h 1

## Functions
softfloat | cv::abs (softfloat a)
| Absolute value. More...
softdouble | cv::abs (softdouble a)
softfloat | cv::cbrt (const softfloat &a)
| Cube root. More...
softdouble | cv::cos (const softdouble &a)
| Cosine. More...
int | cvCeil (const cv::softfloat &a)
| Rounds number up to integer. More...
int | cvCeil (const cv::softdouble &a)
int | cvFloor (const cv::softfloat &a)
| Rounds a number down to integer. More...
int | cvFloor (const cv::softdouble &a)
int | cvRound (const cv::softfloat &a)
| Rounds a number to nearest even integer. More...
int | cvRound (const cv::softdouble &a)
int64_t | cvRound64 (const cv::softdouble &a)
| Rounds a number to nearest even long long integer. More...
int | cvTrunc (const cv::softfloat &a)
| Truncates number to integer with minimum magnitude. More...
int | cvTrunc (const cv::softdouble &a)
softfloat | cv::exp (const softfloat &a)
| Exponent. More...
softdouble | cv::exp (const softdouble &a)
softfloat | cv::log (const softfloat &a)
| Natural logarithm. More...
softdouble | cv::log (const softdouble &a)
softfloat | cv::max (const softfloat &a, const softfloat &b)
softdouble | cv::max (const softdouble &a, const softdouble &b)
softfloat | cv::min (const softfloat &a, const softfloat &b)
| Min and Max functions. More...
softdouble | cv::min (const softdouble &a, const softdouble &b)
softfloat | cv::mulAdd (const softfloat &a, const softfloat &b, const softfloat &c)
| Fused Multiplication and Addition. More...
softdouble | cv::mulAdd (const softdouble &a, const softdouble &b, const softdouble &c)
softfloat | cv::pow (const softfloat &a, const softfloat &b)
| Raising to the power. More...
softdouble | cv::pow (const softdouble &a, const softdouble &b)
template<typename _Tp >
static _Tp | cv::saturate_cast (softfloat a)
| Saturate casts. More...
template<typename _Tp >
static _Tp | cv::saturate_cast (softdouble a)
template<>
int64_t | cv::saturate_cast< int64_t > (softfloat a)
template<>
int64_t | cv::saturate_cast< int64_t > (softdouble a)
template<>
schar | cv::saturate_cast< schar > (softfloat a)
template<>
schar | cv::saturate_cast< schar > (softdouble a)
template<>
short | cv::saturate_cast< short > (softfloat a)
template<>
short | cv::saturate_cast< short > (softdouble a)
template<>
uchar | cv::saturate_cast< uchar > (softfloat a)
template<>
uchar | cv::saturate_cast< uchar > (softdouble a)
template<>
uint64_t | cv::saturate_cast< uint64_t > (softfloat a)
template<>
uint64_t | cv::saturate_cast< uint64_t > (softdouble a)
template<>
unsigned | cv::saturate_cast< unsigned > (softfloat a)
| Saturate cast to unsigned integer and unsigned long long integer We intentionally do not clip negative numbers, to make -1 become 0xffffffff etc. More...
template<>
unsigned | cv::saturate_cast< unsigned > (softdouble a)
template<>
ushort | cv::saturate_cast< ushort > (softfloat a)
template<>
ushort | cv::saturate_cast< ushort > (softdouble a)
softdouble | cv::sin (const softdouble &a)
| Sine. More...
softfloat | cv::sqrt (const softfloat &a)
| Square root. More...
softdouble | cv::sqrt (const softdouble &a)

## Macro Definition Documentation

## ◆ softfloat_h

#define softfloat_h 1

## Function Documentation

## ◆ cvCeil() [1/2]

int cvCeil | ( | const cv::softfloat & | a | ) |

Rounds number up to integer.

## ◆ cvCeil() [2/2]

int cvCeil | ( | const cv::softdouble & | a | ) |

## ◆ cvFloor() [1/2]

int cvFloor | ( | const cv::softfloat & | a | ) |

Rounds a number down to integer.

## ◆ cvFloor() [2/2]

int cvFloor | ( | const cv::softdouble & | a | ) |

## ◆ cvRound() [1/2]

int cvRound | ( | const cv::softfloat & | a | ) |

Rounds a number to nearest even integer.

## ◆ cvRound() [2/2]

int cvRound | ( | const cv::softdouble & | a | ) |

## ◆ cvRound64()

int64_t cvRound64 | ( | const cv::softdouble & | a | ) |

Rounds a number to nearest even long long integer.

## ◆ cvTrunc() [1/2]

int cvTrunc | ( | const cv::softfloat & | a | ) |

Truncates number to integer with minimum magnitude.

## ◆ cvTrunc() [2/2]

int cvTrunc | ( | const cv::softdouble & | a | ) |